ChangeSet 1.1254.4.32, 2003/06/04 12:33:15-07:00, greg@kroah.com

[PATCH] PCI: remove usage of pci_for_each_dev() in drivers/net/e1000/e1000_main.c


 drivers/net/e1000/e1000_main.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)


diff -Nru a/drivers/net/e1000/e1000_main.c b/drivers/net/e1000/e1000_main.c
--- a/drivers/net/e1000/e1000_main.c	Wed Jun  4 18:09:46 2003
+++ b/drivers/net/e1000/e1000_main.c	Wed Jun  4 18:09:46 2003
@@ -2649,7 +2649,7 @@
 	case SYS_DOWN:
 	case SYS_HALT:
 	case SYS_POWER_OFF:
-		pci_for_each_dev(pdev) {
+		while ((pdev = pci_find_device(PCI_ANY_ID, PCI_ANY_ID, pdev)) != NULL) {
 			if(pci_dev_driver(pdev) == &e1000_driver)
 				e1000_suspend(pdev, 3);
 		}
